> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Google Attributes

> Get all Google Attributes available for a Category in a given language.  
⚠️ **What are Google Attributes?**   Google Attributes are highly visible statements about your business that appear on your Google listing.
They indicate things like Payment Options, Amenities, Accessibility and Highlights.   
Does a business provide parking? Does it have a fireplace? Can customers pay with a debit card?   
To recover attributes values set for a business, [see get attributes business endpoints](/api-reference/businesses/google-attributes-for-your-business).    
To handle attributes values for businesses, [see set attributes business endpoints](/api-reference/businesses/set-google-attributes-for-your-business).   
This endpoint allows you to view the **Google** attributes available for a given Category.   




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /attributes/list
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /attributes/list:
    get:
      tags:
        - Google
      summary: List Google Attributes
      description: >
        Get all Google Attributes available for a Category in a given
        language.  

        ⚠️ **What are Google Attributes?**   Google Attributes are highly
        visible statements about your business that appear on your Google
        listing.

        They indicate things like Payment Options, Amenities, Accessibility and
        Highlights.   

        Does a business provide parking? Does it have a fireplace? Can customers
        pay with a debit card?   

        To recover attributes values set for a business, [see get attributes
        business
        endpoints](/api-reference/businesses/google-attributes-for-your-business).    

        To handle attributes values for businesses, [see set attributes business
        endpoints](/api-reference/businesses/set-google-attributes-for-your-business).   

        This endpoint allows you to view the **Google** attributes available for
        a given Category.   
      operationId: getAttributes
      parameters:
        - $ref: '#/components/parameters/category_name'
        - $ref: '#/components/parameters/country'
        - $ref: '#/components/parameters/lang'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttributesGroupResponse'
        '400':
          description: Wrong or missing parameters
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AttributesMissingParametersError'
                  - $ref: '#/components/schemas/AttributesWrongCategoryError'
                  - $ref: '#/components/schemas/AttributesWrongLangError'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    category_name:
      in: query
      name: category_name
      required: true
      schema:
        type: string
        example: gcid:restaurant
      description: Category for which availabe attributes will be fetched.
    country:
      in: query
      name: country
      required: false
      schema:
        type: string
      description: >
        Country for which available attributes will be fetched - use ISO 3166
        alpha2 code ("FR", "EN", "IT").
      example: FR
    lang:
      in: query
      name: lang
      required: false
      schema:
        type: string
        enum:
          - fr
          - es
          - it
          - en
          - de
          - pt
          - pt-BR
      description: >
        Language in which the attributes name and groups name will be
        translated.

        If language is not specified, by default we take the language of the
        user.
  schemas:
    AttributesGroupResponse:
      type: object
      properties:
        groups:
          $ref: '#/components/schemas/AttributesGroupList'
    AttributesMissingParametersError:
      type: object
      properties:
        errors:
          type: object
          properties:
            json:
              type: object
              properties:
                lang:
                  description: lang parameter is required
                  type: string
                  example: is required
                category_name:
                  description: category_name parameter is required
                  type: string
                  example: is required
    AttributesWrongCategoryError:
      type: object
      properties:
        errors:
          type: object
          properties:
            json:
              type: string
              description: Category name not found in DB
              example: Category name not found in DB
    AttributesWrongLangError:
      type: object
      properties:
        errors:
          type: object
          properties:
            json:
              type: object
              properties:
                lang:
                  type: object
                  properties:
                    explanation:
                      description: incorrect value inputed in lang parameter
                      type: string
                      example: xx is an incorrect value
                    choices:
                      type: array
                      items:
                        type: string
                      description: languages choices available
                      example:
                        - DE
                        - EN
                        - ES
                        - FR
                        - IT
                        - PT
                        - PT_BR
    AttributesGroupList:
      type: array
      description: List of Google Groups
      items:
        $ref: '#/components/schemas/AttributesGroup'
    AttributesGroup:
      type: object
      properties:
        attributes:
          type: array
          description: List of Google Attributes
          items:
            $ref: '#/components/schemas/Attribute'
        name:
          $ref: '#/components/schemas/AttributesGroupName'
        order:
          $ref: '#/components/schemas/AttributesGroupOrder'
    Attribute:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/AttributeType'
        gmb_id:
          $ref: '#/components/schemas/AttributeGmbId'
        name:
          $ref: '#/components/schemas/AttributeName'
        order:
          $ref: '#/components/schemas/AttributeOrder'
    AttributesGroupName:
      type: string
      description: Name of the attribute group
      example: Services disponibles
    AttributesGroupOrder:
      type: integer
      example: 5
    AttributeType:
      description: Type of the Attribute
      type: string
      enum:
        - URL
        - REPEATABLE_URL
        - BOOL
        - ENUM
        - REPEATABLE_ENUM
    AttributeGmbId:
      description: Google Id of the attribute
      type: string
      example: gcid:restaurant
    AttributeName:
      description: Name of the attribute in the chosen language
      type: string
      example: Delivery
    AttributeOrder:
      type: integer
      example: 1
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````